#
# spec file for package klassie (Version 1.22)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline:  --kde2 --nosuseupdate
Name:         klassie
Copyright:    GPL
Group:        X11/KDE/Applications
Summary:      display number of email messages inside the kicker
Version:      1.22
Release:      181
Source0:      klassie-1.22.tar.bz2
Patch0: klassie-1.22.dif

%description
KLassie is a Kicker Panel Applet to allow you to display how many email messages
you have waiting. It comes with to data provider plugins, one that will poll an
IMAP server, the other will execute an arbitrary shell command that produces a
number.

Authors:
--------
    Michael Rolig <mrolig@netscape.net>

SuSE series: k2de

%prep
%setup -n klassie-1.22
%patch -p 0 -E

%build
%{?suse_update_config:%{suse_update_config -f}}
make -f Makefile.cvs
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/opt/kde2 \
 --mandir=/usr/share/man/ \
 --with-qt-dir=/usr/lib/qt2/ \
  
make

%install
make install

%files
%doc TODO README AUTHORS.kicker AUTHORS INSTALL COPYING 
%dir /opt/kde2/share/apps/kicker
%dir /opt/kde2/share/apps/kicker/applets
%dir /opt/kde2/share/apps/klassie
/opt/kde2/lib/libklassie.la
/opt/kde2/lib/libklassie.so
/opt/kde2/lib/libklassie.so.1
/opt/kde2/lib/libklassie.so.1.0.0
/opt/kde2/lib/libklassieimap.la
/opt/kde2/lib/libklassieimap.so
/opt/kde2/lib/libklassieimap.so.1
/opt/kde2/lib/libklassieimap.so.1.0.0
/opt/kde2/lib/libklassiekio.la
/opt/kde2/lib/libklassiekio.so
/opt/kde2/lib/libklassiekio.so.1
/opt/kde2/lib/libklassiekio.so.1.0.0
/opt/kde2/lib/libklassieshell.la
/opt/kde2/lib/libklassieshell.so
/opt/kde2/lib/libklassieshell.so.1
/opt/kde2/lib/libklassieshell.so.1.0.0
/opt/kde2/share/apps/kicker/applets/klassie.desktop
/opt/kde2/share/apps/klassie/klassie_kio.desktop
/opt/kde2/share/apps/klassie/klassieimap.desktop
/opt/kde2/share/apps/klassie/klassieshell.desktop

%changelog -n klassie
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - adrian@suse.de
- autoconf 2.52 fixes
* Tue Jul 03 2001 - adrian@suse.de
- autoconf 2.50 fixes
* Fri Jun 22 2001 - adrian@suse.de
- autoconf 2.50 ready
* Tue May 15 2001 - froh@suse.de
- fixed suse_update_config
* Mon Apr 23 2001 - adrian@suse.de
- New version 1.22
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sat Mar 17 2001 - adrian@suse.de
- New version 1.21
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Mon Feb 19 2001 - adrian@suse.de
- Spec file created from klassie-0.99.tar.bz2 by autospec
